"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useCodeParams = void 0;
const react_router_dom_1 = require("react-router-dom");
const ui_foundation_ui_react_router_use_query_1 = require("@teambit/ui-foundation.ui.react-router.use-query");
function useCodeParams() {
    // TODO - not sure this is the best way to do this. we might want to handle the query params in react-router aspect
    // I think we should have a hook that keeps all qury parms and just overrides a specific one
    const query = ui_foundation_ui_react_router_use_query_1.useQuery();
    const version = query.get('version') || undefined;
    const codeRouteParams = react_router_dom_1.useParams();
    return Object.assign(Object.assign({}, codeRouteParams), { version });
}
exports.useCodeParams = useCodeParams;
//# sourceMappingURL=use-code-params.js.map